Subject: Re: Modification of event and sig parameter ASN.1 syntax

From: Christian Groves <[email-masked]>
Date: Fri, 12 Jan 2001 16:28:38 +1100

G'Day all,

Ericsson has implemented both text and binary and came to the first
interop with both.

I'm also a little annoyed at the tone of some of the emails with regards
to help with binary questions. John Segers and myself have/had indicated
that over end November/Decmeber/January other things would take us away
from being able to follow this work closely. I would hope for some
understanding from people who have recently joined the list, that some
people after a busy couple years working on this can't monitor this all
the time. John and myself aren't the only ones Brian, Tom and others
have also put in alot of hard work so a little understanding on tardy
responses would be good.

I will over the next week be updating the implementors guide and
clearing the 150 or so messages waiting in Megaco.

Regards, Christian

Chuong Nguyen wrote:
>
> So are you going to suggest at the meeting that the requirement that MGC supports both text and
> binary encoding be removed?
>
> If no, the implementation for MGC would be too complicated.
> Does anybody out there plan to provide an MGC that does both text and binary encoding?
>
> Thanks
> Chuong
>
>
>
> "Taylor, Tom-PT [NORSE:B901:EXCH]" wrote:
>
> > MGC 2000 was a conference I attended last month.  What I was saying was that
> > by specifying two different encodings we have in effect created two
> > different protocols: MGCs of one persuasion won't talk to MGs of the other.
> > It's unfair of me to try to turn the clock back, but the scarcity of
> > binary-encoded implementations up to now gave me the very faint hope that
> > those wanting to do binary could be persuaded to do text instead.
> >
> > -----Original Message-----
> > From: Chuong Nguyen [mailto:[email-masked]]
> > Sent: Thursday, December 07, 2000 3:09 PM
> > To: [email-masked]
> > Subject: Re: [MEGACO] Modification of event and sig parameter ASN.1 syntax
> >
> > Tom
> >
> > Are you suggesting that for the interoperability testing we stick to just
> > text implementations or
> > from now on all implementations of Megaco should be in text encoded?
> >
> > Has anyone implemented an MGC that supports both text and binary?
> >
> > Thanks
> > Chuong
> >
> > Tom Taylor wrote:
> >
> > Do I get the impression that the ASN.1 version of Megaco is only
> > half-defined and you want to finish the job?  I'll remark that the
> > existence of both binary and text-encoded versions was deemed to be a major
> > threat to interoperability at MGC 2000.  I suppose
> > it's way too late now to try to persuade people to stick to text
> > implementations?
> >
> > Tom Taylor
> >
> > --
> >
> >   Alcatel USA, Inc             Internet: [email-masked]
> >
> >   1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
> >
> >   **** The opinions expressed are not those of Alcatel USA, Inc ****
>
> --
>   Alcatel USA, Inc             Internet: [email-masked]
>   1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
>   **** The opinions expressed are not those of Alcatel USA, Inc ****
>
>